package com.bjzc.zjyxdxj.DBModel;

import android.os.Parcel;
import android.os.Parcelable;

import org.litepal.crud.DataSupport;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Johnny_Chen
 * on 2018/2/28.
 */

public class XSJJHXZDataBean extends DataSupport implements Parcelable {


    private int id;
    private String zxid;
    private String scid;
    private String qybh;
    private String qymc;
    private String nfcbm;
    private String txm;
    private String nfcbm_zt;
    private String txm_zt;
    private String tjxjzt;

    private String sczt;
    private String scsj;
    private String smfs;
    private String fxnr;
    private List<XSJJHDataBean> data= new ArrayList<XSJJHDataBean>(); // 关系：对多
    private int SN; //自定义序号
    private boolean isChecked;//燃料，运行已检
    private boolean isBAChecked;//保安已检
    private String countPercent;    //已检/总数
    private String sbmc;
    private String SBMCSTATE;//设备状态
    private String SBMCSTATEVALUE;//设备状态值
    private String second;//是否曾经用过NFC和二维码进入过区域
    private String mk;
    private String xjnr;
    private String DATE;//保存时间
    private String username;
    private String djsj;
    private String jhmc;





    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }
    public String getNfcbm_zt() {
        return nfcbm_zt;
    }

    public void setNfcbm_zt(String nfcbm_zt) {
        this.nfcbm_zt = nfcbm_zt;
    }

    public String getDjsj() {
        return djsj;
    }

    public void setDjsj(String djsj) {
        this.djsj = djsj;
    }

    public String getTxm_zt() {
        return txm_zt;
    }

    public void setTxm_zt(String txm_zt) {
        this.txm_zt = txm_zt;
    }

    public String getTjxjzt() {
        return tjxjzt;
    }

    public void setTjxjzt(String tjxjzt) {
        this.tjxjzt = tjxjzt;
    }

    public String getZxid() {
        return zxid;
    }

    public void setZxid(String zxid) {
        this.zxid = zxid;
    }

    public String getScid() {
        return scid;
    }

    public void setScid(String scid) {
        this.scid = scid;
    }

    public String getDATE() {
        return DATE;
    }

    public void setDATE(String DATE) {
        this.DATE = DATE;
    }

    public String getQybh() {
        return qybh;
    }

    public void setQybh(String qybh) {
        this.qybh = qybh;
    }

    public String getQymc() {
        return qymc;
    }

    public void setQymc(String qymc) {
        this.qymc = qymc;
    }

    public String getNfcbm() {
        return nfcbm;
    }

    public void setNfcbm(String nfcbm) {
        this.nfcbm = nfcbm;
    }

    public String getSmfs() {
        return smfs;
    }

    public void setSmfs(String smfs) {
        this.smfs = smfs;
    }

    public String getTxm() {
        return txm;
    }

    public void setTxm(String txm) {
        this.txm = txm;
    }

    public String getSczt() {
        return sczt;
    }

    public void setSczt(String sczt) {
        this.sczt = sczt;
    }

    public String getScsj() {
        return scsj;
    }

    public void setScsj(String scsj) {
        this.scsj = scsj;
    }

    public List<XSJJHDataBean> getData() {
        return data;
    }

    public void setData(List<XSJJHDataBean> data) {
        this.data = data;
    }

    public int getSN() {
        return SN;
    }

    public void setSN(int SN) {
        this.SN = SN;
    }

    public boolean isChecked() {
        return isChecked;
    }

    public void setChecked(boolean checked) {
        isChecked = checked;
    }

    public boolean isBAChecked() {
        return isBAChecked;
    }

    public void setBAChecked(boolean BAChecked) {
        isBAChecked = BAChecked;
    }

    public String getXjnr() {
        return xjnr;
    }

    public void setXjnr(String xjnr) {
        this.xjnr = xjnr;
    }

    public String getCountPercent() {
        return countPercent;
    }

    public void setCountPercent(String countPercent) {
        this.countPercent = countPercent;
    }

    public String getSbmc() {
        return sbmc;
    }

    public void setSbmc(String sbmc) {
        this.sbmc = sbmc;
    }

    public String getSBMCSTATE() {
        return SBMCSTATE;
    }

    public void setSBMCSTATE(String SBMCSTATE) {
        this.SBMCSTATE = SBMCSTATE;
    }

    public String getSBMCSTATEVALUE() {
        return SBMCSTATEVALUE;
    }

    public void setSBMCSTATEVALUE(String SBMCSTATEVALUE) {
        this.SBMCSTATEVALUE = SBMCSTATEVALUE;
    }

    public String getSecond() {
        return second;
    }

    public void setSecond(String second) {
        this.second = second;
    }

    public String getFxnr() {
        return fxnr;
    }

    public void setFxnr(String fxnr) {
        this.fxnr = fxnr;
    }

    public String getMk() {
        return mk;
    }

    public void setMk(String mk) {
        this.mk = mk;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getJhmc() {
        return jhmc;
    }

    public void setJhmc(String jhmc) {
        this.jhmc = jhmc;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.zxid);
        dest.writeString(this.qybh);
        dest.writeString(this.qymc);
        dest.writeString(this.nfcbm);
        dest.writeString(this.txm);
        dest.writeString(this.sczt);
        dest.writeString(this.scsj);
        dest.writeString(this.fxnr);
        dest.writeTypedList(this.data);
        dest.writeInt(this.SN);
        dest.writeByte(this.isChecked ? (byte) 1 : (byte) 0);
        dest.writeByte(this.isBAChecked ? (byte) 1 : (byte) 0);
        dest.writeString(this.countPercent);
        dest.writeString(this.sbmc);
        dest.writeString(this.SBMCSTATE);
        dest.writeString(this.SBMCSTATEVALUE);
        dest.writeString(this.second);
        dest.writeString(this.nfcbm_zt);
        dest.writeString(this.txm_zt);
        dest.writeString(this.tjxjzt);
        dest.writeString(this.mk);
        dest.writeString(this.xjnr);
        dest.writeString(this.scid);
        dest.writeString(this.DATE);
        dest.writeString(this.username);
        dest.writeString(this.smfs);
        dest.writeString(this.djsj);
        dest.writeString(this.jhmc);
    }

    public XSJJHXZDataBean() {
    }

    protected XSJJHXZDataBean(Parcel in) {
        this.zxid = in.readString();
        this.qybh = in.readString();
        this.qymc = in.readString();
        this.nfcbm = in.readString();
        this.txm = in.readString();
        this.sczt = in.readString();
        this.scsj = in.readString();
        this.fxnr = in.readString();
        this.data = in.createTypedArrayList(XSJJHDataBean.CREATOR);
        this.SN = in.readInt();
        this.isChecked = in.readByte() != 0;
        this.isBAChecked = in.readByte() != 0;
        this.countPercent = in.readString();
        this.sbmc = in.readString();
        this.SBMCSTATE = in.readString();
        this.SBMCSTATEVALUE = in.readString();
        this.second = in.readString();
        this.nfcbm_zt = in.readString();
        this.txm_zt = in.readString();
        this.tjxjzt = in.readString();
        this.mk = in.readString();
        this.xjnr = in.readString();
        this.scid = in.readString();
        this.DATE = in.readString();
        this.username = in.readString();
        this.smfs = in.readString();
        this.djsj = in.readString();
        this.jhmc = in.readString();
    }

    public static final Creator<XSJJHXZDataBean> CREATOR = new Creator<XSJJHXZDataBean>() {
        @Override
        public XSJJHXZDataBean createFromParcel(Parcel source) {
            return new XSJJHXZDataBean(source);
        }

        @Override
        public XSJJHXZDataBean[] newArray(int size) {
            return new XSJJHXZDataBean[size];
        }
    };
}
